%define oname pyserial

Name:		python-serial
Version:	2.7
Release:	%mkrel 3

Summary:	Python serial port extension
License:	Python
Group:          Development/Python
URL:		http://pyserial.sourceforge.net
Source0:	https://pypi.python.org/packages/source/p/%{oname}/%{oname}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	pkgconfig(python)
BuildRequires:	dos2unix

Obsoletes:	pyserial < %{version}-%{release}
Provides:	pyserial = %{version}-%{release}

%description
This module encapsulates the access for the serial port.
It provides backends for Python running on Windows, Linux, BSD (possibly any 
POSIX compilant system) and Jython. The module named "serial" automatically 
selects the appropriate backend.

%package -n python3-serial
Summary:	Python 3 serial port extension
Group:		Development/Python
BuildRequires:	pkgconfig(python3)

%description -n python3-serial
This module encapsulates the access for the serial port.
It provides backends for Python running on Windows, Linux, BSD (possibly any 
POSIX compilant system) and Jython. The module named "serial" automatically 
selects the appropriate backend.

%prep
%setup -q -n %{oname}-%{version}

#fix shebangs
perl -pi -e "s/#! python/#!\/usr\/bin\/env python/" serial/*.py
perl -pi -e "s/#!jython/#!\/usr\/bin\/env jython/" serial/*.py

#fix EOL
dos2unix examples/port_publisher.py
%autopatch -p1
cp -a . %{py3dir} 

%build
%py2_build

pushd %{py3dir} 
%py3_build
popd

%install
# Install python 3 first, so that python 2 gets precedence:
pushd %{py3dir}
%py3_install
%{__mv} %{buildroot}%{_bindir}/miniterm.py %{buildroot}%{_bindir}/python3-miniterm.py
popd

%py2_install

%files
%doc CHANGES.txt LICENSE.txt PKG-INFO README.txt examples
%{_bindir}/miniterm.py
%{python2_sitelib}/serial
%{python2_sitelib}/pyserial-%{version}-py%{python2_version}.egg-info

%files -n python3-serial
%doc README*
%{_bindir}/python3-miniterm.py
%{python3_sitelib}/*



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 2.7-3.mga6
+ Revision: 970989
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 2.7-2.mga6
+ Revision: 888869
- rebuild for python 3.5

* Thu Sep 24 2015 philippem <philippem> 2.7-1.mga6
+ Revision: 883370
- update to 2.7

* Wed Oct 15 2014 umeabot <umeabot> 2.6-7.mga5
+ Revision: 745405
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.6-6.mga5
+ Revision: 729755
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.6-5.mga5
+ Revision: 688324
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.6-4.mga5
+ Revision: 629005
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.6-3.mga4
+ Revision: 544232
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.6-2.mga4
+ Revision: 499349
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Sep 01 2013 philippem <philippem> 2.6-1.mga4
+ Revision: 474143
- update to 2.6, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 2.5-3.mga3
+ Revision: 379490
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri May 13 2011 anssi <anssi> 2.5-2.mga1
+ Revision: 98021
- fix license tag
- imported package python-serial


* Tue Nov 02 2010 Jani Välimaa <wally@mandriva.org> 2.5-1mdv2011.0
+ Revision: 592136
- new version 2.5
- don't use recorded file list as it contains non-installed files
- don't set executable bit for examples
- ease python BR
- fix EOLs
- clean spec a bit

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 2.4-3mdv2010.0
+ Revision: 442482
- rebuild

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 2.4-2mdv2009.1
+ Revision: 324112
- rebuild

* Sat Jul 12 2008 Guillaume Bedot <littletux@mandriva.org> 2.4-1mdv2009.0
+ Revision: 234052
- 2.4
- rpm spec policy proposal changes
- fixed license

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Apr 17 2007 Guillaume Bedot <littletux@mandriva.org> 2.2-4mdv2008.0
+ Revision: 13985
- 2008 build ( should also build on previous versions )


* Wed Mar 07 2007 Guillaume Bedot <littletux@mandriva.org> 2.2-3mdv2007.0
+ Revision: 134430
- mention bug report
- fixed typo in filename
- rebuilt for python 2.5 (added egg-info file)
- moved to svn
- Created package structure for python-serial.

